File indexing completed on 2024-11-09 02:40:39
0001
0002 function die { echo $1: status $2; exit $2; }
0003
0004 echo -e "Testing help functions"
0005 printPixelLayersDisksMap --help || die 'failed running printPixelLayersDisksMap --help' $?
0006 printPixelROCsMap --help || die 'failed running printPixelROCsMap --help' $?
0007 printPixelTrackerMap --help || die 'failed running printPixelTrackerMap --help' $?
0008 printStripTrackerMap --help || die 'failed running printStripTrackerMap --help' $?
0009 echo -e "\n"
0010 testPixelFile=$CMSSW_BASE/src/SLHCUpgradeSimulations/Geometry/data/PhaseI/PixelSkimmedGeometry_phase1.txt
0011 [ -e $testPixelFile ] || testPixelFile=$CMSSW_RELEASE_BASE/src/SLHCUpgradeSimulations/Geometry/data/PhaseI/PixelSkimmedGeometry_phase1.txt
0012
0013 testPixelDetids=$(head -n 50 "$testPixelFile" | cut -d ' ' -f 1 | paste -sd ' ' -)
0014
0015 echo "Using the following pixel DetIds:" $testPixelDetids
0016 echo -e "\n"
0017 echo -e "==== Testing printPixelLayersDisksMap"
0018 printPixelLayersDisksMap --input-file $testPixelFile || die 'failed printPixelLayersDisksMap --input-file' $?
0019 printPixelLayersDisksMap $testPixelDetids || die 'failed printPixelLayersDisksMap $testPixelDetids' $?
0020 echo -e "\n"
0021 echo -e "==== Testing printPixelROCsMap"
0022 printPixelROCsMap --input-file $testPixelFile || die 'failed printPixelROCsMap --input-file' $?
0023 printPixelROCsMap $testPixelDetids || die 'failed printPixelROCsMap $testPixelDetids' $?
0024 printPixelROCsMap $testPixelDetids --region barrel || die 'failed printPixelROCsMap $testPixelDetids --barrel' $?
0025 printPixelROCsMap $testPixelDetids --region forward || die 'failed printPixelROCsMap $testPixelDetids --forward' $?
0026 printPixelROCsMap $testPixelDetids --region full || die 'failed printPixelROCsMap $testPixelDetids --full' $?
0027 echo -e "\n"
0028 echo -e "==== Testing printPixelTrackerMap"
0029 printPixelTrackerMap --input-file $testPixelFile || die 'failed printPixelTrackerMap --input-file' $?
0030 printPixelTrackerMap $testPixelDetids || die 'failed printPixelTrackerMap $testPixelDetids' $?
0031 echo -e "\n"
0032 testStripFile=$CMSSW_BASE/src/CalibTracker/SiStripCommon/data/SiStripDetInfo.dat
0033 [ -e $testStripFile ] || testStripFile=$CMSSW_RELEASE_BASE/src/CalibTracker/SiStripCommon/data/SiStripDetInfo.dat
0034
0035 testStripDetids=$(head -n 50 "$testStripFile" | cut -d ' ' -f 1 | paste -sd ' ' -)
0036
0037 echo "Using the following strip DetIds:" $testStripDetids
0038 echo -e "\n"
0039 echo -e "==== Testing printStripTrackerMap"
0040 printStripTrackerMap --input-file $testStripFile || die 'failed printStripTrackerMap --input-file' $?
0041 printStripTrackerMap $testStripDetids || die 'failed printStripTrackerMap $testPixelDetids' $?